Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/agent/signup_challenges" \ -H "Content-Type: application/json" \ -d '{}'{ "challenge": "string", "algorithm": "sha256-leading-zero-bits", "difficulty": -9007199254740991, "expires_at": "string"}Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/agent/signups" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "project_name": "Space Miner", "allowed_origins": [ "https://spaceminer.example" ], "proof": { "challenge": "sgc_00000000000000000000000000000001.c2FsdHNhbHRzYWx0c2FsdHNhbHQ", "nonce": "48213" } }'{ "organization": { "id": "string", "name": "string", "slug": "string", "claimed": true }, "project": { "id": "string", "name": "string" }, "environments": [ { "id": "string", "name": "string", "runtime_class": "string", "active": true, "autonomy_mode": "auto", "allowed_origins": [ "string" ], "secret_key": { "id": "string", "token": "string", "scopes": [ "string" ] }, "publishable_key": { "id": "string", "token": "string" } } ], "agent": { "user_id": "string", "token_id": "string", "token": "string", "scopes": [ "string" ] }, "claim": { "code": "string", "url": "string", "owner_email": "string" }, "limits": { "production_events_per_month": -9007199254740991, "live_requires_claim": true, "orishare_sent_messages": -9007199254740991 }, "links": { "docs": "string", "openapi": "string", "dashboard": "string", "mcp": "string" }}Authorization
personalAccessToken Personal access token. Scopes are listed in x-orishare-authorization.
In: header
Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/agent/claim_codes" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{}'{ "organization_id": "string", "code": "string", "url": "string"}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/project_claim_previews" \ -H "Content-Type: application/json" \ -d '{ "code": "occ_example" }'{ "organization": { "name": "string" }, "created_at": "string", "claimable": true, "restricted_to_email": true}Authorization
session Browser session; local and staging use their configured runtime cookie prefix.
In: cookie
Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/project_claims" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "code": "occ_example" }'{ "organization": { "id": "string", "name": "string", "slug": "string" }, "role": "owner"}